- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/getAlertOverviewData#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/getAlertOverviewData#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/getAlertOverviewData#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/getAlertOverviewData#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/getAlertOverviewData#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/getAlertOverviewData#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/getAlertOverviewData#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.getAlertOverviewData

Retrieves a view of widgets for a specific alert. Use this method to get a high-level summary of the alert, potentially tailored to a specific playbook view.

### HTTP request

`GET https://{endpoint}/v1alpha/{name}:alertOverviewData`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The alert to get overview for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert}:getOverview |

### Query parameters

| Parameters ||
|---|---|
| `viewId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The view ID to get overview data for. If not provided, this will return the overview data according to the following criteria: 1. If one or more playbooks have been attached to the alert, the view for the most recent run of the first-attached playbook will be used. 2. If no playbook has been attached to the alert, default alert view will be used. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/OverviewData`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.caseAlerts.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).